Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 598963 - support searching resources by alerts
support searching resources by alerts
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Core UI (Show other bugs)
3.0.0
All Linux
low Severity medium (vote)
: ---
: ---
Assigned To: Joseph Marques
Sunil Kondkar
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-02 08:45 EDT by Joseph Marques
Modified: 2010-08-12 12:48 EDT (History)
0 users

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:48:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joseph Marques 2010-06-02 08:45:57 EDT
Description of enhancement:

Modify the SearchBar for resources to include searching by those that have triggered alerts.  Allow optional filtering by priority, e.g. high, medium, low.  Require a time-based restriction, e.g. last 5 mins, last 2 hours, etc.
Comment 1 Joseph Marques 2010-06-02 08:48:18 EDT
commit 50f6dcc9e7c03f09265b28469c65cc108c061f2b
Author: Joseph Marques <joseph@redhat.com>
Date:   Wed Jun 2 08:46:10 2010 -0400

BZ-598963: first cut for alert-based searching of resources
    
* allow filtering by priority - high, medium, low, or ANY
* allow filtering by recentness - last 5 mins, last 2 hours, etc
Comment 2 Sunil Kondkar 2010-06-07 05:35:02 EDT
Verified on 'jon-server-2.4.0.Beta1' build.

Alert-based searching of resources allow filtering by alert priority:

Ex: 
alerts[lasthours02]="any"
alerts[lasthours02]="high"
alerts[lasthours02]="low"
alerts[lasthours02]="medium"

Alert-based searching of resources allow filtering by recentness:
    
alerts[lasthours02]
alerts[lasthours04]
alerts[lasthours08]
alerts[lasthours24]
alerts[lastmins05]
alerts[lastmins10]
alerts[lastmins30]
alerts[lastmins60]
Comment 3 Corey Welton 2010-08-12 12:48:19 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.